Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SubTableFixedChildrenIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<javax.faces.component.UIComponent>
              org.richfaces.component.SubTableFixedChildrenIterator

All Implemented Interfaces:
  java.util.Iterator<javax.faces.component.UIComponent>

    public class SubTableFixedChildrenIterator

extends com.google.common.collect.AbstractIterator<javax.faces.component.UIComponent>

Author:
  asmirnov

Constructor Summary
`SubTableFixedChildrenIterator(UIDataTableBase dataTable)`

Method Summary
`protected javax.faces.component.UIComponent` | `computeNext()`
`protected javax.faces.component.UIComponent` | `getNextFacet()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubTableFixedChildrenIterator

    public SubTableFixedChildrenIterator(UIDataTableBase dataTable)

Method Detail

### getNextFacet

    protected javax.faces.component.UIComponent getNextFacet()

### computeNext

    protected javax.faces.component.UIComponent computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<javax.faces.component.UIComponent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.